"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DB = void 0;
const pg_1 = require("pg");
const { POSTGRES_HOST, POSTGRES_DB, POSTGRES_USER, POSTGRES_PASSWORD } = process.env;
class DB {
    constructor() {
        this.Client = new pg_1.Pool({
            host: POSTGRES_HOST,
            database: POSTGRES_DB,
            user: POSTGRES_USER,
            password: POSTGRES_PASSWORD
        });
    }
    destroy() {
        this.Client.end();
    }
}
exports.DB = DB;
