"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getAllShoppingCarts = void 0;
const connect_1 = require("../connect");
const getAllShoppingCarts = () => __awaiter(void 0, void 0, void 0, function* () {
    let result = [];
    let db = new connect_1.DB();
    let client = db.Client;
    yield client.query("select * from einkaufliste")
        .then((res) => {
        result = res.rows;
    })
        .catch((err) => {
        throw new Error(" we can't get all einkaufliste ");
    }).finally(() => {
        db.destroy();
    });
    return result;
});
exports.getAllShoppingCarts = getAllShoppingCarts;
