"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const check_1 = require("../middleware/check");
const orderController_1 = require("../controller/orderController");
const express_1 = require("express");
const router = (0, express_1.Router)();
const orderManager = new orderController_1.OrderManager();
router.post("/addNewItemToOrder", check_1.check, orderManager.addArticleToShoppingCart());
router.get("/getItemsInCart", check_1.check, orderManager.getItemsInCart());
router.put("/updateProductQuantity", check_1.check, orderManager.updateItemQuantity());
router.delete("/deleteItemFromShoppingCart", check_1.check, orderManager.deleteItemFromShoppingCart());
exports.default = router;
