import type {Config} from 'jest'

const config: Config = {
    preset: 'ts-jest',                        
    testEnvironment: 'node',                   
    testMatch: ['<rootDir>/src/tests/**/*.test.ts'],      
    moduleFileExtensions: ['ts', 'js'], 
    coverageDirectory: 'coverage',
    collectCoverageFrom: ['src/**/*.ts'],
    verbose: true
  };
  
  export default config;