import { DB } from "../connect";

export async function getArticlesInCategory(categoryId: Number) {
  const query = `
    select * 
    from Article 
    where categoryId = $1
    `;
  const values = [categoryId];

  try {
    let db = DB.getDB( );
    let client = db.Client;
    
    const res = await client.query(query,values);
    return res.rows;
  } catch (error) {
    throw error;
  }
}
