import { CustomError } from "../../error/CustomError";
import { DB } from "../connect"

export const deleteArticle = async (id: number) => {
    let db = DB.getDB( );
    let client = db.Client;

    const query = "delete from article where id = $1";
    const values = [id];

    await client.query(query, values).then((res) => {
        if (res.rowCount! <= 0) {
            throw new CustomError("the id does not exist", 404, "ARICLE_DOES_NOT_EXIST", "more details ... ");
        }
    }).catch((err) => {
        throw err;
    })
}