"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.addOrderToShoppingCart = void 0;
const connect_1 = require("../connect");
const addOrderToShoppingCart = (itemId, cartId, quantity) => __awaiter(void 0, void 0, void 0, function* () {
    let db = new connect_1.DB();
    let client = db.Client;
    let id = -1;
    let query = "insert into  mengeRealtation ( articleId , einkauflisteId , menge ) values ($1,$2,$3) returning id ";
    let values = [itemId, cartId, quantity];
    yield client
        .query(query, values)
        .then((res) => { id = res.rows[0].id; })
        .catch((err) => {
        throw err;
    })
        .finally(() => { db.destroy(); });
});
exports.addOrderToShoppingCart = addOrderToShoppingCart;
