"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const express_1 = __importDefault(require("express"));
const index_1 = __importDefault(require("./routes/index"));
const allowCors_1 = require("./middleware/CORS/allowCors");
const port = 8000;
const app = (0, express_1.default)();
app.use(express_1.default.json());
app.use(allowCors_1.allowCors);
app.use("/api", index_1.default);
app.listen(port, () => {
    console.log(`Example app listening on port ${port}`);
});
