"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const articleController_1 = require("../controller/articleController");
const express_1 = require("express");
const check_1 = require("../middleware/check");
const router = (0, express_1.Router)();
const controller = new articleController_1.articleController();
router.post("/addArticle", check_1.check, controller.addArticle());
router.get("/getProductByCriteria", check_1.check, controller.getProductByCriteria());
router.get("/getAllProducts", controller.getAllArticle());
router.put("/updateArticle", check_1.check, controller.updateArticle());
router.delete("/deleteArticle", check_1.check, controller.deleteArticle());
router.get("/searchProductInGoogle", controller.searchProductIngoogle());
exports.default = router;
