"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const check_1 = require("../middleware/check");
const categoryController_1 = require("../controller/categoryController");
const express_1 = require("express");
const router = (0, express_1.Router)();
const controller = new categoryController_1.CategoryController();
router.get("/getAllCategories", controller.getAllCategories());
router.get("/categories/:categoryId/articles", check_1.check, controller.getArticlesInCategory());
exports.default = router;
