import { CustomError } from "../../error/CustomError";
import { DB } from "../connect";

export type articleObj = {
  preis: number;
  beschreibung: string;
  id: number;
  name: string;
};

export const getAllArticle = async (): Promise<articleObj[]> => {
  let result: articleObj[] = [];

  let db = DB.getDB( );
  let client = db.Client;

  await client
    .query("select * from article")
    .then((res) => {
      result = res.rows;
    }).catch((err) => {
      throw err;
    })
  return result;
};
