import { CustomError } from "../../error/CustomError";
import { DB } from "../connect";

export const addOrderToShoppingCart = async (
  itemId: number,
  cartId: number,
  quantity: number
) => {
  let db = DB.getDB( );
  let client = db.Client;

  let id = -1;

  let query =
    "insert into  mengeRealtation ( articleId , einkauflisteId , menge ) values ($1,$2,$3) returning id ";
  let values = [itemId, cartId, quantity];

  await client
    .query(query, values)
    .then((res) => { id = res.rows[0].id })
    .catch((err) => {
      throw err;
    })
};
