import { DB } from "../connect";

export type shoppingCart = {
  beschreibung: string;
  name: string; 
  id: number;
  erstellungsDatum: Date;
};

export const getAllShoppingCarts = async (): Promise<shoppingCart[]> => {
  let result: shoppingCart[] = [];
  let db = DB.getDB( );
  let client = db.Client;

  await client.query("select * from einkaufliste")
    .then((res) => {
      result = res.rows;
    })
    .catch((err) => {
      throw new Error(" we can't get all einkaufliste ");
    })

  return result;
};
